edu.sc.seis.sod.process.waveform

## Class GapFill

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.Merge
  - - edu.sc.seis.sod.process.waveform.GapFill

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter, Threadable

      public class GapFill
      extends Merge

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GapFill(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.
    `static int` | `calcNumGapPoints(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl first, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl second)`
    `edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[]` | `gapFill(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl first, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl second)`
    `java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl>` | `reduce(java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> inList, edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange mstr)`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.Merge

      `isThreadSafe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GapFill

          public GapFill(org.w3c.dom.Element config)

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Description copied from interface: `WaveformProcess`
      Processes localSeismograms, possibly modifying them.
      Specified by:
        `accept` in interface `WaveformProcess`
      Overrides:
        `accept` in class `Merge`
      Throws:
        `java.lang.Exception`

    - #### reduce

          public java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> reduce(java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> inList,
                                                                                           edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange mstr)
                                                                                    throws edu.iris.Fissures.FissuresException

      Throws:
        `edu.iris.Fissures.FissuresException`

    - #### gapFill

          public edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] gapFill(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl first,
                                                                              edu.iris.Fissures.seismogramDC.LocalSeismogramImpl second)
                                                                       throws edu.iris.Fissures.FissuresException

      Throws:
        `edu.iris.Fissures.FissuresException`

    - #### calcNumGapPoints

          public static int calcNumGapPoints(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl first,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl second)